Feature: Render View
  In order to render a view
  I Need to:
  - Disable cache (for testing purposes)
  - Add folder path and namespace
  - init a loader
  - call render

  Rules:
  

  Scenario: Generating a view
    Given viewsetup can be initiated
    Then a loader can be set
    And EveryTwig can be set
    Then the folder path src and namespaceTest can be added
    Then I can init EveryTwig
    And a view(testTemplate.twig) can be generated

  Scenario: Generating a view that use PHP functions
    Given viewsetup can be initiated
    Then a loader can be set
    And EveryTwig can be set
    Then the folder path src and namespaceTest can be added
    And PHP functions can be added
    Then I can init EveryTwig
    Then the twig template testFunction.twig can use PHP functions

  Scenario: Generating a view that use Globals
    Given viewsetup can be initiated
    Then a loader can be set
    And EveryTwig can be set
    Then the folder path src and namespaceTest can be added
    And Globals can be added global1 Does
    And Globals can be added global2 This
    And Globals can be added global3 Work
    Then I can init EveryTwig
    Then the twig template testGlobals.twig can use Globals

  Scenario: Generating a view that use Filters
    Given viewsetup can be initiated
    Then a loader can be set
    And EveryTwig can be set
    Then the folder path src and namespaceTest can be added
    And filters can be added filter1
    And filters can be added filter2
    And filters can be added filter3
    Then I can init EveryTwig
    Then the twig template testFilters.twig can use filters

  Scenario: Generating a view that uses globals, PHP functions and filters
    Given viewsetup can be initiated
    Then a loader can be set
    And EveryTwig can be set
    Then the folder path src and namespaceTest can be added
    And filters can be added filter1
    And filters can be added filter2
    And filters can be added filter3
    And Globals can be added global1 Uno
    And Globals can be added global2 Dos
    And Globals can be added global3 Tres
    And PHP functions can be added
    Then I can init EveryTwig
    Then the twig template testAll.twig can use filters, globals and PHP functions

Scenario: Init with options